﻿<?php
/* 
Plugin Name: FAQ Page
Plugin URI: http://cyberbundle.com
Description: Display all your frequently asked questions with a shortcode.
Version: 1.0
Author: Mattias Jönsson
Author URI: http://cyberbundle.com
License: GPL2

FAQ Page is a free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
any later version.
 
FAQ Page is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with FAQ Page. If not, see www.gnu.org/licenses/old-licenses/gpl-2.0.html.
*/

/*
 Add CSS and Javascript. 
*/

add_action( 'wp_enqueue_scripts', 'faqp_add_scripts' );

function faqp_add_scripts() {
        wp_register_style( 'faqpStyle', plugins_url('css/faqpStyle.css', __FILE__) );
		wp_enqueue_style( 'faqpStyle' );

		wp_register_script( 'faqpJquery', plugins_url('js/faqpJquery.js',__FILE__ ), array( 'jquery' ));
        wp_enqueue_script('faqpJquery');
}

/*
 Add custom post type. 
*/

add_action( 'init', 'faqp_answers' );

function faqp_answers() {
	 $labels = array(
            'name' => _x( 'FAQs', 'faqpage' ),
            'singular_name' => _x( 'faq', 'faqpage' ),
            'add_new' => _x( 'Add New', 'faqpage' ),
            'add_new_item' => _x( 'Add New', 'faqpage' ),
            'edit_item' => _x( 'Edit', 'faqpage' ),
            'new_item' => _x( 'New', 'faqpage' ),
            'view_item' => _x( 'View', 'faqpage' ),
            'search_items' => _x( 'Search', 'faqpage' ),
            'not_found' => _x( 'No answer found', 'faqpage' ),
            'not_found_in_trash' => _x( 'No answer was found in trash', 'faqpage' ),
            'parent_item_colon' => _x( 'Parent Album:', 'faqpage' ),
            'menu_name' => _x( 'FAQs', 'faqpage' ),
    ); 
     $args = array(
            'labels' => $labels,
            'hierarchical' => true,
            'description' => 'Frequently Asked Questions',
            'supports' => array( 'title', 'editor'),
            'taxonomies' => array( 'faqpage' ),
            'show_ui' => true,
            'show_in_menu' => true,
            'menu_position' => 5,
            'menu_icon' => 'dashicons-format-status',
            'show_in_nav_menus' => true,
            'exclude_from_search' => true,
            'has_archive' => false,
            'can_export' => true,
            'capability_type' => 'post',
			'show_in_menu' => true,
     ); 
    register_post_type( 'faqpage', $args );
}

/*
 Display custom posts. 
*/

function the_faqp_page() {
$answers_args = array(
                'post_type'=> 'faqpage',
                'post_status'=> 'publish',
    );
	
    $answers_gallery = get_posts( $answers_args ); 
    foreach($answers_gallery as $rows){
        $post_titles = $rows->post_title;
		$post_content = $rows->post_content;
		echo '<div class="faqp-questions">' . '<div class="faqp-question">' . '<h3>' . $post_titles . '</h3>' . '<div class="faqp-answer">' . '<p>' . $post_content . '</p>' . '</div>' . '</div>' . '</div>';
    }
}

/*
  Help text for custom post types.
*/
add_filter( 'enter_title_here', 'faqp_title_message' );

function faqp_title_message( $title ){
    $screen = get_current_screen();
    if ( 'faqpage' == $screen->post_type ){
        $title = 'Enter question here';
    }
    return $title;
}

add_filter( 'default_content', 'faqp_editor_message', 10, 2 );

function faqp_editor_message( $content, WP_Post $post ) {
    $count_posts = wp_count_posts( 'faqpage' )->publish;
	
	if ( $count_posts == 0 and $post->post_type == 'faqpage' ) {
        $content = 'Enter answer here';
    }
    return $content;
}

/*
 Shortcode. 
*/

add_shortcode('faqs', 'the_faqp_page');

?>